%define name disable-builtin-repos
%define version 0.3
%define release 1

Summary: Disable builtin distro repositories
Name: %{name}
Version: %{version}
Release: %{release}
License: public-domain
Group: System/Tools
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Prefix: %{_prefix}
BuildArchitectures: noarch
Obsoletes: disable-centos-repos

%description
The only job of this RPM is to disable the Rocky/Alma/CentOS/RHEL
repositories found in the -release package.

%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
cat > $RPM_BUILD_ROOT/usr/sbin/disable-builtin-repos <<EOF
#/bin/bash

shopt -s nullglob
sed -ri 's#enabled=.##;s#^(\[[^]]+\])#&\nenabled=0#' /etc/yum.repos.d/{CentOS,alma,Rocky,RHEL}-*.repo  2>/dev/null
exit 0

EOF
chmod 755 $RPM_BUILD_ROOT/usr/sbin/disable-builtin-repos

%triggerin -- alma-release
/usr/sbin/disable-builtin-repos
%triggerin -- centos-release
/usr/sbin/disable-builtin-repos
%triggerin -- rhel-release
/usr/sbin/disable-builtin-repos
%triggerin -- rocky-repos
/usr/sbin/disable-builtin-repos

%post
/usr/sbin/disable-builtin-repos

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/sbin/disable-builtin-repos

